Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.query.impl
Class EntitiesModifiedAtRevisionQuery

    java.lang.Object
      org.hibernate.envers.query.impl.AbstractAuditQuery
          org.hibernate.envers.query.impl.EntitiesModifiedAtRevisionQuery

All Implemented Interfaces:
  AuditQuery

    public class EntitiesModifiedAtRevisionQuery

extends AbstractAuditQuery

In comparison to `EntitiesAtRevisionQuery` this query returns an empty collection if an entity of a certain type has not been changed in a given revision.

See Also:
  `EntitiesAtRevisionQuery`

Field Summary

Fields inherited from class org.hibernate.envers.query.impl.AbstractAuditQuery
`criterions, entityClassName, entityInstantiator, entityName, hasOrder, hasProjection, qb, verCfg, versionsEntityName`

Constructor Summary
`EntitiesModifiedAtRevisionQuery(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, Class<?> cls, Number revision)`
`EntitiesModifiedAtRevisionQuery(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, Class<?> cls, String entityName, Number revision)`

Method Summary
`List` | `list()`

Methods inherited from class org.hibernate.envers.query.impl.AbstractAuditQuery
`add, addOrder, addProjection, buildAndExecuteQuery, buildQuery, getResultList, getSingleResult, setCacheable, setCacheMode, setCacheRegion, setComment, setFirstResult, setFlushMode, setLockMode, setLockOptions, setMaxResults, setQueryProperties, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntitiesModifiedAtRevisionQuery

    public EntitiesModifiedAtRevisionQuery(AuditConfiguration verCfg,
                                           AuditReaderImplementor versionsReader,
                                           Class<?> cls,
                                           Number revision)

### EntitiesModifiedAtRevisionQuery

    public EntitiesModifiedAtRevisionQuery(AuditConfiguration verCfg,
                                           AuditReaderImplementor versionsReader,
                                           Class<?> cls,
                                           String entityName,
                                           Number revision)

Method Detail

### list

    public List list()

  Specified by:
    `list` in class `AbstractAuditQuery`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.